type LogFn = (message: string) => void;
type Logger = {
    error: LogFn;
    log: LogFn;
    create: (message: string) => LogFn;
};

type GenerateCodeOptions = {
    logger?: Logger;
    openApiDocumentFilenameOrUrl: string;
    output: 'SERVER' | 'CLIENT' | 'TYPES';
    outputFilename?: string;
    serviceName?: string;
    nonRequiredType: 'nullable' | 'optional' | 'both';
    readonlyDTOs: boolean;
};

declare const generateCode: (inputOptions: GenerateCodeOptions) => Promise<void>;

export { generateCode };
